Package org.codehaus.groovy.ast.stmt

## Class WhileStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.WhileStatement

- All Implemented Interfaces:
    `LoopingStatement`

      public class WhileStatement
      extends Statement
      implements LoopingStatement

  Represents a while (condition) { ... } loop in Groovy

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WhileStatement​(BooleanExpression booleanExpression, Statement loopBlock)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BooleanExpression` | `getBooleanExpression()` |
    `Statement` | `getLoopBlock()` | Gets the loop block.
    `void` | `setBooleanExpression​(BooleanExpression booleanExpression)` |
    `void` | `setLoopBlock​(Statement loopBlock)` | Sets the loop block.
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhileStatement

          public WhileStatement​(BooleanExpression booleanExpression,
                                Statement loopBlock)

  - ### Method Detail

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### getBooleanExpression

          public BooleanExpression getBooleanExpression()

    - #### getLoopBlock

          public Statement getLoopBlock()

      Description copied from interface: `LoopingStatement`
      Gets the loop block.
      Specified by:
        `getLoopBlock` in interface `LoopingStatement`

    - #### setBooleanExpression

          public void setBooleanExpression​(BooleanExpression booleanExpression)

    - #### setLoopBlock

          public void setLoopBlock​(Statement loopBlock)

      Description copied from interface: `LoopingStatement`
      Sets the loop block.
      Specified by:
        `setLoopBlock` in interface `LoopingStatement`